From b2ce1b7897160bb3d7735aaf892c6c050701be0f Mon Sep 17 00:00:00 2001
From: FONQRI <behnamsabaghi@gmail.com>
Date: Sat, 5 Sep 2020 22:52:38 +0430
Subject: [PATCH] remove dynamic exception specification

---
 CMakeLists.txt                                |    2 +-
 RTIA/DataDistribution.cc                      |   20 +-
 RTIA/DataDistribution.hh                      |   27 +-
 RTIA/FederationManagement.cc                  |    4 +-
 RTIA/FederationManagement.hh                  |    4 +-
 RTIA/RTIA.hh                                  |    2 +-
 RTIA/RTIA_federate.cc                         |    2 +-
 RTIG/main.cc                                  |    2 +-
 include/hla-1_3/NullFederateAmbassador.hh     |  138 +-
 include/hla-1_3/RTIambServices.hh             |  476 ++----
 include/hla-1_3/RTItypes.hh.cmake             |  142 +-
 include/hla-1_3/federateAmbServices.hh        |  137 +-
 include/hla-1_3/fedtime.hh                    |   81 +-
 .../ieee1516-2000/RTI/FederateAmbassador.h    |  281 +---
 include/ieee1516-2000/RTI/Handle.h            |    5 +-
 include/ieee1516-2000/RTI/LogicalTime.h       |   35 +-
 .../ieee1516-2000/RTI/LogicalTimeFactory.h    |    8 +-
 .../ieee1516-2000/RTI/LogicalTimeInterval.h   |   38 +-
 .../RTI/NullFederateAmbassador.h              |  281 +---
 include/ieee1516-2000/RTI/RTIambassador.h     |  943 ++---------
 .../ieee1516-2000/RTI/RTIambassadorFactory.h  |    6 +-
 include/ieee1516-2000/RTI/certiLogicalTime.h  |   37 +-
 .../RTI/certiLogicalTimeFactory.h             |    6 +-
 .../RTI/certiLogicalTimeInterval.h            |   38 +-
 .../ieee1516-2010/RTI/FederateAmbassador.h    |  246 +--
 include/ieee1516-2010/RTI/Handle.h            |    5 +-
 include/ieee1516-2010/RTI/LogicalTime.h       |   48 +-
 .../ieee1516-2010/RTI/LogicalTimeFactory.h    |   38 +-
 .../ieee1516-2010/RTI/LogicalTimeInterval.h   |   53 +-
 .../RTI/NullFederateAmbassador.h              |  124 +-
 include/ieee1516-2010/RTI/RTIambassador.h     | 1432 ++---------------
 .../ieee1516-2010/RTI/RTIambassadorFactory.h  |    6 +-
 include/ieee1516-2010/RTI/certiLogicalTime.h  |   37 +-
 .../RTI/certiLogicalTimeFactory.h             |    8 +-
 .../RTI/certiLogicalTimeInterval.h            |   40 +-
 libCERTI/M_Classes.cc                         |    5 +-
 libCERTI/M_Classes.hh                         |    4 +-
 libCERTI/NM_Classes.cc                        |    6 +-
 libCERTI/NM_Classes.hh                        |    4 +-
 libRTI/hla-1_3/RTIambPrivateRefs.cc           |    4 +-
 libRTI/hla-1_3/RTIambPrivateRefs.hh           |    4 +-
 libRTI/hla-1_3/RTIambassador.cc               |  866 ++--------
 libRTI/hla-1_3/RTIfedTime.cc                  |   60 +-
 libRTI/hla-1_3/RTItypesImp.cc                 |   71 +-
 libRTI/hla-1_3/RTItypesImp.hh                 |  100 +-
 libRTI/ieee1516-2000/Handle.cpp               |    2 +-
 libRTI/ieee1516-2000/HandleImplementation.cpp |    3 +-
 libRTI/ieee1516-2000/HandleImplementation.h   |    6 +-
 libRTI/ieee1516-2000/RTI1516fedTime.cpp       |   66 +-
 libRTI/ieee1516-2000/RTI1516fedTime.h         |   94 +-
 libRTI/ieee1516-2000/RTIambPrivateRefs.cpp    |    6 +-
 libRTI/ieee1516-2000/RTIambPrivateRefs.h      |    4 +-
 libRTI/ieee1516-2000/RTIambassadorFactory.cpp |    4 +-
 .../RTIambassadorImplementation.cpp           |  827 ++--------
 .../RTIambassadorImplementation.h             |  948 ++---------
 libRTI/ieee1516-2000/RTIfedAmbassador.cpp     |    4 +-
 libRTI/ieee1516-2010/Handle.cpp               |    4 +-
 libRTI/ieee1516-2010/HandleImplementation.cpp |    3 +-
 libRTI/ieee1516-2010/HandleImplementation.h   |    4 +-
 libRTI/ieee1516-2010/RTI1516fedTime.cpp       |   64 +-
 libRTI/ieee1516-2010/RTI1516fedTime.h         |   93 +-
 libRTI/ieee1516-2010/RTIambassadorFactory.cpp |    2 +-
 .../RTIambassadorImplementation.cpp           | 1134 ++-----------
 .../RTIambassadorImplementation.h             | 1146 ++-----------
 libRTI/ieee1516-2010/RTIfedAmbassador.cpp     |    4 +-
 test/Billard/Billard.cc                       |   32 +-
 test/Billard/Billard.hh                       |   37 +-
 test/Billard/BillardDDM.hh                    |    4 +-
 test/TimeMaster/main.cc                       |    8 +-
 test/mom_explorer/momfederateambassador.cc    |  124 +-
 test/mom_explorer/momfederateambassador.h     |  124 +-
 test/testFederate/testFederate.hh             |    6 +-
 72 files changed, 2016 insertions(+), 8613 deletions(-)

diff --git a/RTIA/DataDistribution.cc b/RTIA/DataDistribution.cc
index 57d2e964..5b4b0f4f 100644
--- a/RTIA/DataDistribution.cc
+++ b/RTIA/DataDistribution.cc
@@ -62,33 +62,29 @@ const std::string& DataDistribution::getRoutingSpaceName(SpaceHandle handle) con
 }
 
 DimensionHandle DataDistribution::getDimensionHandle(const std::string& dimension, SpaceHandle space) const
-    throw(SpaceNotDefined, NameNotFound)
 {
     return rootObject->getRoutingSpace(space).getDimensionHandle(dimension);
 }
 
 const std::string& DataDistribution::getDimensionName(DimensionHandle dimension, SpaceHandle space) const
-    throw(SpaceNotDefined, DimensionNotDefined)
 {
     return rootObject->getRoutingSpace(space).getDimensionName(dimension);
 }
 
 SpaceHandle DataDistribution::getAttributeSpace(AttributeHandle attribute, ObjectClassHandle object_class) const
-    throw(ObjectClassNotDefined, AttributeNotDefined)
 {
     std::cout << "DataDistribution::getAttributeSpace" << std::endl;
     return rootObject->ObjectClasses->getObjectFromHandle(object_class)->getAttribute(attribute)->getSpace();
 }
 
 SpaceHandle DataDistribution::getInteractionSpace(InteractionClassHandle interaction) const
-    throw(InteractionClassNotDefined)
 {
     return rootObject->Interactions->getObjectFromHandle(interaction)->getSpace();
 }
 
 long DataDistribution::createRegion(SpaceHandle space,
                                     unsigned long nb_extents,
-                                    Exception::Type& e) throw(SpaceNotDefined)
+                                    Exception::Type& e)
 {
     Debug(D, pdDebug) << "Start creating region in space " << space << "..." << endl;
     NM_DDM_Create_Region req;
@@ -141,7 +137,7 @@ void DataDistribution::modifyRegion(RegionHandle handle, const std::vector<Exten
     }
 }
 
-void DataDistribution::deleteRegion(long handle, Exception::Type& e) throw(RegionNotKnown, RegionInUse)
+void DataDistribution::deleteRegion(long handle, Exception::Type& e)
 {
     Debug(D, pdDebug) << "Delete region " << handle << "..." << endl;
 
@@ -169,7 +165,7 @@ void DataDistribution::associateRegion(ObjectHandle object,
                                        RegionHandle region,
                                        const std::vector<AttributeHandle>& attr,
                                        uint32_t nb,
-                                       Exception::Type& e) throw(RegionNotKnown)
+                                       Exception::Type& e)
 {
     Debug(D, pdDebug) << "Associate Region " << region << std::endl;
 
@@ -255,7 +251,7 @@ ObjectHandle DataDistribution::registerObject(ObjectClassHandle class_handle,
 
 void DataDistribution::unassociateRegion(ObjectHandle object,
                                          RegionHandle region,
-                                         Exception::Type& e) throw(ObjectNotKnown, InvalidRegionContext, RegionNotKnown)
+                                         Exception::Type& e)
 {
     Debug(D, pdDebug) << "Unassociate Region " << region << std::endl;
 
@@ -281,7 +277,7 @@ void DataDistribution::subscribe(ObjectClassHandle obj_class,
                                  RegionHandle region,
                                  const std::vector<AttributeHandle>& attr,
                                  uint32_t nb,
-                                 Exception::Type& e) throw(RegionNotKnown)
+                                 Exception::Type& e)
 {
     Debug(D, pdDebug) << "Subscribe attributes with region " << region << endl;
     rootObject->getRegion(region);
@@ -306,7 +302,7 @@ void DataDistribution::subscribe(ObjectClassHandle obj_class,
 
 void DataDistribution::unsubscribeAttributes(ObjectClassHandle obj_class,
                                              RegionHandle region,
-                                             Exception::Type& e) throw(RegionNotKnown)
+                                             Exception::Type& e)
 {
     Debug(D, pdDebug) << "Unsubscribe class " << obj_class << " with region " << region << endl;
     rootObject->getRegion(region);
@@ -327,7 +323,7 @@ void DataDistribution::unsubscribeAttributes(ObjectClassHandle obj_class,
 
 void DataDistribution::subscribeInteraction(InteractionClassHandle int_class,
                                             RegionHandle region,
-                                            Exception::Type& e) throw(RegionNotKnown)
+                                            Exception::Type& e)
 {
     Debug(D, pdDebug) << "Subscribe interaction with region " << region << endl;
     rootObject->getRegion(region);
@@ -348,7 +344,7 @@ void DataDistribution::subscribeInteraction(InteractionClassHandle int_class,
 
 void DataDistribution::unsubscribeInteraction(InteractionClassHandle int_class,
                                               RegionHandle region,
-                                              Exception::Type& e) throw(RegionNotKnown)
+                                              Exception::Type& e)
 {
     Debug(D, pdDebug) << "Unsubscribe interaction with region " << region << endl;
     rootObject->getRegion(region);
diff --git a/RTIA/DataDistribution.hh b/RTIA/DataDistribution.hh
index 111cadf0..7588449c 100644
--- a/RTIA/DataDistribution.hh
+++ b/RTIA/DataDistribution.hh
@@ -39,26 +39,25 @@ public:
 
     const std::string& getRoutingSpaceName(SpaceHandle) const;
 
-    DimensionHandle getDimensionHandle(const std::string&, SpaceHandle) const throw(SpaceNotDefined, NameNotFound);
+    DimensionHandle getDimensionHandle(const std::string&, SpaceHandle) const;
 
-    const std::string& getDimensionName(DimensionHandle, SpaceHandle) const throw(SpaceNotDefined, DimensionNotDefined);
+    const std::string& getDimensionName(DimensionHandle, SpaceHandle) const;
 
-    SpaceHandle getAttributeSpace(AttributeHandle, ObjectClassHandle) const
-        throw(ObjectClassNotDefined, AttributeNotDefined);
+    SpaceHandle getAttributeSpace(AttributeHandle, ObjectClassHandle) const;
 
-    SpaceHandle getInteractionSpace(InteractionClassHandle) const throw(InteractionClassNotDefined);
+    SpaceHandle getInteractionSpace(InteractionClassHandle) const;
 
-    long createRegion(SpaceHandle, unsigned long, Exception::Type&) throw(SpaceNotDefined);
+    long createRegion(SpaceHandle, unsigned long, Exception::Type&);
 
     void modifyRegion(RegionHandle, const std::vector<Extent>&, Exception::Type&);
 
-    void deleteRegion(long, Exception::Type&) throw(RegionNotKnown, RegionInUse);
+    void deleteRegion(long, Exception::Type&);
 
     void associateRegion(ObjectHandle,
                          RegionHandle,
                          const std::vector<AttributeHandle>&,
                          uint32_t,
-                         Exception::Type&) throw(RegionNotKnown);
+                         Exception::Type&);
 
     ObjectHandle registerObject(ObjectClassHandle,
                                 const std::string&,
@@ -67,21 +66,19 @@ public:
                                 const std::vector<RegionHandle>,
                                 Exception::Type&);
 
-    void unassociateRegion(ObjectHandle, RegionHandle, Exception::Type& e) throw(ObjectNotKnown,
-                                                                                 InvalidRegionContext,
-                                                                                 RegionNotKnown);
+    void unassociateRegion(ObjectHandle, RegionHandle, Exception::Type& e);
 
     void subscribe(ObjectClassHandle,
                    RegionHandle,
                    const std::vector<AttributeHandle>&,
                    uint32_t,
-                   Exception::Type&) throw(RegionNotKnown);
+                   Exception::Type&);
 
-    void unsubscribeAttributes(ObjectClassHandle, RegionHandle, Exception::Type&) throw(RegionNotKnown);
+    void unsubscribeAttributes(ObjectClassHandle, RegionHandle, Exception::Type&);
 
-    void subscribeInteraction(InteractionClassHandle, RegionHandle, Exception::Type&) throw(RegionNotKnown);
+    void subscribeInteraction(InteractionClassHandle, RegionHandle, Exception::Type&);
 
-    void unsubscribeInteraction(InteractionClassHandle, RegionHandle, Exception::Type&) throw(RegionNotKnown);
+    void unsubscribeInteraction(InteractionClassHandle, RegionHandle, Exception::Type&);
 
 private:
     RootObject* rootObject;
diff --git a/RTIA/FederationManagement.cc b/RTIA/FederationManagement.cc
index f17f0b9d..0eb2a2d2 100644
--- a/RTIA/FederationManagement.cc
+++ b/RTIA/FederationManagement.cc
@@ -702,14 +702,14 @@ void FederationManagement::federationRestoredStatus(bool status)
     delete req;
 }
 
-void FederationManagement::checkFederationSaving() throw(SaveInProgress)
+void FederationManagement::checkFederationSaving()
 {
     if (my_is_saving) {
         throw SaveInProgress("Federation is in saving state");
     }
 }
 
-void FederationManagement::checkFederationRestoring() throw(RestoreInProgress)
+void FederationManagement::checkFederationRestoring()
 {
     if (my_is_restoring) {
         throw RestoreInProgress("Federation is in restoring state");
diff --git a/RTIA/FederationManagement.hh b/RTIA/FederationManagement.hh
index 9a97a56c..f21a0085 100644
--- a/RTIA/FederationManagement.hh
+++ b/RTIA/FederationManagement.hh
@@ -64,8 +64,8 @@ public:
     ConnectionState getConnectionState() const;
     void setConnectionState(const ConnectionState state);
 
-    void checkFederationSaving(void) throw(SaveInProgress);
-    void checkFederationRestoring(void) throw(RestoreInProgress);
+    void checkFederationSaving(void);
+    void checkFederationRestoring(void);
     
     std::string getRtiVersion() const;
     void setRtiVersion(const std::string& version);
diff --git a/RTIA/RTIA.hh b/RTIA/RTIA.hh
index 54a08216..40e74b1e 100644
--- a/RTIA/RTIA.hh
+++ b/RTIA/RTIA.hh
@@ -66,7 +66,7 @@ public:
     void displayStatistics();
 
 private:
-    void saveAndRestoreStatus(Message::Type type) throw(SaveInProgress, RestoreInProgress);
+    void saveAndRestoreStatus(Message::Type type);
 
     /// Process one message from RTIG (i.e. a NetworkMessage).
     void processNetworkMessage(NetworkMessage* request);
diff --git a/RTIA/RTIA_federate.cc b/RTIA/RTIA_federate.cc
index 8b5209e7..9a5230c2 100644
--- a/RTIA/RTIA_federate.cc
+++ b/RTIA/RTIA_federate.cc
@@ -44,7 +44,7 @@ static PrettyDebug G("GENDOC", __FILE__);
 
 // ----------------------------------------------------------------------------
 //! Verify that federate is not in saving or restoring state.
-void RTIA::saveAndRestoreStatus(Message::Type type) throw(SaveInProgress, RestoreInProgress)
+void RTIA::saveAndRestoreStatus(Message::Type type)
 {
     Debug(G, pdGendoc) << "enter RTIA::saveAndRestoreStatus" << std::endl;
     //D.Mes(pdMessage, 'N', type);
diff --git a/RTIG/main.cc b/RTIG/main.cc
index b0092087..878b9e35 100644
--- a/RTIG/main.cc
+++ b/RTIG/main.cc
@@ -53,7 +53,7 @@ extern "C" void SignalHandler(int sig)
 
 // ----------------------------------------------------------------------------
 //! NewHandler
-void NewHandler() throw(MemoryExhausted)
+void NewHandler()
 {
     throw MemoryExhausted("main RTIG");
 }
diff --git a/include/hla-1_3/NullFederateAmbassador.hh b/include/hla-1_3/NullFederateAmbassador.hh
index eb7d209d..981483cb 100644
--- a/include/hla-1_3/NullFederateAmbassador.hh
+++ b/include/hla-1_3/NullFederateAmbassador.hh
@@ -9,160 +9,108 @@ class NullFederateAmbassador : public RTI::FederateAmbassador
 {
 public:
     NullFederateAmbassador() { }
-    virtual ~NullFederateAmbassador() 
-	throw (RTI::FederateInternalError) { }
+    virtual ~NullFederateAmbassador() { }
 
     // Federation Management
 
-    virtual void synchronizationPointRegistrationSucceeded(const char *) 
-	throw (RTI::FederateInternalError) { }
+    virtual void synchronizationPointRegistrationSucceeded(const char *) { }
  
-    virtual void synchronizationPointRegistrationFailed(const char *) 
-	throw (RTI::FederateInternalError) { }
+    virtual void synchronizationPointRegistrationFailed(const char *) { }
 
-    virtual void announceSynchronizationPoint(const char *, const char *) 
-	throw (RTI::FederateInternalError) { }
+    virtual void announceSynchronizationPoint(const char *, const char *) { }
 
-    virtual void federationSynchronized(const char *) 
-	throw (RTI::FederateInternalError) { }
+    virtual void federationSynchronized(const char *) { }
 
-    virtual void initiateFederateSave(const char *) 
-	throw (RTI::UnableToPerformSave, RTI::FederateInternalError) { }
+    virtual void initiateFederateSave(const char *) { }
 
-    virtual void federationSaved()
-	throw (RTI::FederateInternalError) { }
+    virtual void federationSaved() { }
 
-    virtual void federationNotSaved()
-	throw (RTI::FederateInternalError) { }
+    virtual void federationNotSaved() { }
 
-    virtual void requestFederationRestoreSucceeded(const char *) 
-	throw (RTI::FederateInternalError) { }
+    virtual void requestFederationRestoreSucceeded(const char *) { }
 
-    virtual void requestFederationRestoreFailed(const char *, const char *) 
-	throw (RTI::FederateInternalError) { }
+    virtual void requestFederationRestoreFailed(const char *, const char *) { }
 
-    virtual void federationRestoreBegun()
-	throw (RTI::FederateInternalError) { }
+    virtual void federationRestoreBegun() { }
 
-    virtual void initiateFederateRestore(const char *, RTI::FederateHandle) 
-	throw (RTI::SpecifiedSaveLabelDoesNotExist, RTI::CouldNotRestore, RTI::FederateInternalError) { }
+    virtual void initiateFederateRestore(const char *, RTI::FederateHandle) { }
 
-    virtual void federationRestored()
-	throw (RTI::FederateInternalError) { }
+    virtual void federationRestored() { }
 
-    virtual void federationNotRestored()
-	throw (RTI::FederateInternalError) { }
+    virtual void federationNotRestored() { }
 
     // Declaration Management
 
-    virtual void startRegistrationForObjectClass(RTI::ObjectClassHandle) 
-	throw (RTI::ObjectClassNotPublished, RTI::FederateInternalError) { }
+    virtual void startRegistrationForObjectClass(RTI::ObjectClassHandle) { }
 
-    virtual void stopRegistrationForObjectClass(RTI::ObjectClassHandle) 
-	throw (RTI::ObjectClassNotPublished, RTI::FederateInternalError) { }
+    virtual void stopRegistrationForObjectClass(RTI::ObjectClassHandle) { }
 
-    virtual void turnInteractionsOn(RTI::InteractionClassHandle) 
-	throw (RTI::InteractionClassNotPublished, RTI::FederateInternalError) { }
+    virtual void turnInteractionsOn(RTI::InteractionClassHandle) { }
 
-    virtual void turnInteractionsOff(RTI::InteractionClassHandle) 
-	throw (RTI::InteractionClassNotPublished, RTI::FederateInternalError) { }
+    virtual void turnInteractionsOff(RTI::InteractionClassHandle) { }
 
     // Object Management
 
-    virtual void discoverObjectInstance(RTI::ObjectHandle , RTI::ObjectClassHandle , const char *) 
-	throw (RTI::CouldNotDiscover, RTI::ObjectClassNotKnown, RTI::FederateInternalError) { }
+    virtual void discoverObjectInstance(RTI::ObjectHandle , RTI::ObjectClassHandle , const char *) { }
 
     virtual void reflectAttributeValues(RTI::ObjectHandle, const RTI::AttributeHandleValuePairSet &, 
-					const RTI::FedTime &, const char *, RTI::EventRetractionHandle) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateOwnsAttributes,
-	       RTI::InvalidFederationTime, RTI::FederateInternalError) { }
+                    const RTI::FedTime &, const char *, RTI::EventRetractionHandle) { }
 
-    virtual void reflectAttributeValues(RTI::ObjectHandle, const RTI::AttributeHandleValuePairSet &, const char *) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateOwnsAttributes,
-	       RTI::FederateInternalError) { }
+    virtual void reflectAttributeValues(RTI::ObjectHandle, const RTI::AttributeHandleValuePairSet &, const char *) { }
 
     virtual void receiveInteraction(RTI::InteractionClassHandle, const RTI::ParameterHandleValuePairSet &, 
-				    const RTI::FedTime &, const char *, RTI::EventRetractionHandle) 
-	throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown, RTI::InvalidFederationTime,
-	       RTI::FederateInternalError) { }
+                    const RTI::FedTime &, const char *, RTI::EventRetractionHandle) { }
 
     virtual void receiveInteraction(RTI::InteractionClassHandle, const RTI::ParameterHandleValuePairSet &, 
-				    const char *) 
-	throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown, RTI::FederateInternalError) { }
+                    const char *) { }
 
     virtual void removeObjectInstance(RTI::ObjectHandle, const RTI::FedTime &, const char *, 
-				      RTI::EventRetractionHandle) 
-	throw (RTI::ObjectNotKnown, RTI::InvalidFederationTime, RTI::FederateInternalError) { }
+                      RTI::EventRetractionHandle) { }
 
-    virtual void removeObjectInstance(RTI::ObjectHandle, const char *) 
-	throw (RTI::ObjectNotKnown, RTI::FederateInternalError) { }
+    virtual void removeObjectInstance(RTI::ObjectHandle, const char *) { }
 
-    virtual void attributesInScope(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError) { }
+    virtual void attributesInScope(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
-    virtual void attributesOutOfScope(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError) { }
+    virtual void attributesOutOfScope(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
-    virtual void provideAttributeValueUpdate(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned,
-	       RTI::FederateInternalError) { }
+    virtual void provideAttributeValueUpdate(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
-    virtual void turnUpdatesOnForObjectInstance(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError) { }
+    virtual void turnUpdatesOnForObjectInstance(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
-    virtual void turnUpdatesOffForObjectInstance(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError) { }
+    virtual void turnUpdatesOffForObjectInstance(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
     // Ownership Management
 
     virtual void requestAttributeOwnershipAssumption(RTI::ObjectHandle, const RTI::AttributeHandleSet &, 
-						     const char *) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned,
-	       RTI::AttributeNotPublished, RTI::FederateInternalError) { }
+                             const char *) { }
 
-    virtual void attributeOwnershipDivestitureNotification(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned,
-	       RTI::AttributeDivestitureWasNotRequested, RTI::FederateInternalError) { }
+    virtual void attributeOwnershipDivestitureNotification(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
-    virtual void attributeOwnershipAcquisitionNotification(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAcquisitionWasNotRequested,
-	       RTI::AttributeAlreadyOwned, RTI::AttributeNotPublished, RTI::FederateInternalError) { }
+    virtual void attributeOwnershipAcquisitionNotification(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
-    virtual void attributeOwnershipUnavailable(RTI::ObjectHandle, const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned,
-	       RTI::AttributeAcquisitionWasNotRequested, RTI::FederateInternalError) { }
+    virtual void attributeOwnershipUnavailable(RTI::ObjectHandle, const RTI::AttributeHandleSet &) { }
 
     virtual void requestAttributeOwnershipRelease(RTI::ObjectHandle, const RTI::AttributeHandleSet &, 
-						  const char *) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError) { }
+                          const char *) { }
 
     virtual void confirmAttributeOwnershipAcquisitionCancellation(RTI::ObjectHandle,
-								  const RTI::AttributeHandleSet &) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned,
-	       RTI::AttributeAcquisitionWasNotCanceled, RTI::FederateInternalError) { }
+                                  const RTI::AttributeHandleSet &) { }
 
-    virtual void informAttributeOwnership(RTI::ObjectHandle, RTI::AttributeHandle, RTI::FederateHandle) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError) { }
+    virtual void informAttributeOwnership(RTI::ObjectHandle, RTI::AttributeHandle, RTI::FederateHandle) { }
 
-    virtual void attributeIsNotOwned(RTI::ObjectHandle, RTI::AttributeHandle) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError) { }
+    virtual void attributeIsNotOwned(RTI::ObjectHandle, RTI::AttributeHandle) { }
 
-    virtual void attributeOwnedByRTI(RTI::ObjectHandle, RTI::AttributeHandle) 
-	throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError) { }
+    virtual void attributeOwnedByRTI(RTI::ObjectHandle, RTI::AttributeHandle) { }
 
     // Time Management
 
-    virtual void timeRegulationEnabled(const RTI::FedTime &) 
-	throw (RTI::InvalidFederationTime, RTI::EnableTimeRegulationWasNotPending, RTI::FederateInternalError) { }
+    virtual void timeRegulationEnabled(const RTI::FedTime &) { }
 
-    virtual void timeConstrainedEnabled(const RTI::FedTime &) 
-	throw (RTI::InvalidFederationTime, RTI::EnableTimeConstrainedWasNotPending, RTI::FederateInternalError) { }
+    virtual void timeConstrainedEnabled(const RTI::FedTime &) { }
 
-    virtual void timeAdvanceGrant(const RTI::FedTime &) 
-	throw (RTI::InvalidFederationTime, RTI::TimeAdvanceWasNotInProgress, RTI::FederateInternalError) { }
+    virtual void timeAdvanceGrant(const RTI::FedTime &) { }
 
-    virtual void requestRetraction(RTI::EventRetractionHandle) 
-	throw (RTI::EventNotKnown, RTI::FederateInternalError) { }
+    virtual void requestRetraction(RTI::EventRetractionHandle) { }
 };
 
 #endif
